View Issue Details

IDProjectCategoryView StatusLast Update
0031582CommunityOCCT:Configurationpublic2021-03-27 15:52
Reporterhobbes1069 Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
PlatformLinuxOSFedora 
Product Version7.3.0 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031582: Configuration, CMake - OCCT fails to build with VTK 9.0
DescriptionVTK did some extensive rework of their CMake build system with 9.0:

CMake Deprecation Warning at /usr/lib64/cmake/vtk/vtk-use-file-deprecated.cmake:1 (message):
  The `VTK_USE_FILE` is no longer used starting with 8.90.
Call Stack (most recent call first):
  adm/cmake/vtk.cmake:72 (include)
  CMakeLists.txt:14 (include)
  CMakeLists.txt:523 (OCCT_INCLUDE_CMAKE_FILE)


CMake Error at CMakeLists.txt:714 (message):
  Could not find headers of used third-party products:
  3RDPARTY_VTK_INCLUDE_DIR


-- Configuring incomplete, errors occurred!
Additional information
and documentation updates
Full log:

https://download.copr.fedorainfracloud.org/results/orion/vtk9.0/fedora-rawhide-aarch64/01414282-opencascade/build.log.gz
TagsNo tags attached.
Test case numberNot required

Relationships

parent of 0032252 closedbugmaster Open CASCADE VIS - running IVtk built with VTK 9 leads to runtime exceptions 
related to 0032163 feedbackbugmaster Community Configuration, CMake - flow control statements not properly nested in vtk.cmake 

Activities

opoplawski

2020-06-20 22:39

reporter   ~0092626

Any progress here? These may be useful:

https://vtk.org/Wiki/VTK/API_Changes_8_2_0_to_9_0_0

cmake migration:
https://vtk.org/doc/nightly/html/md__home_kitware_dashboards_buildbot_vtk_nightly-master-ike-linux-shared-release_doc_nightly_osm5be4e3c8a508a13e731d7b85aeec815a.html

git

2020-08-17 13:47

administrator   ~0093522

Branch CR31582 has been created by kgv.

SHA-1: 2a40703888215a4ce125377974cdcd618e909651


Detailed log of new commits:

Author: kgv
Date: Mon Aug 17 12:58:31 2020 +0300

    0031582: Configuration, CMake - OCCT fails to build with VTK 9.0
    
    Handle "VTK::" prefix instead of "vtk" used by previous VTK versions for targets.
    Corrected unexpected location of endif() and broken indentation.
    Obsolete $VTK_USE_FILE is no more included (basing on VTK version check).
    
    Standard_WarningsDisable.hxx/Standard_WarningsRestore.hxx pair is now used to suppress VTK warnings instead of partial disabling.

git

2020-08-17 15:06

administrator   ~0093523

Branch CR31582 has been updated forcibly by kgv.

SHA-1: efb5964cd0f51176d28630bfe1258f0efeded565

kgv

2020-08-17 15:33

developer   ~0093524

Patch is ready for review in OCCT branch CR31582 (tested locally on Windows with VTK 9.0.1).

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31582-master-KGV

bugmaster

2020-08-21 10:53

administrator   ~0093574

Reviewed

bugmaster

2020-08-22 16:01

administrator   ~0093593

Combination -
OCCT branch : IR-2020-08-21
master SHA - 1d99a2baaa614856d8ef8b0a9975af5c3bdf92c6
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-08-21 SHA - 9541102e96ff9ee3aeec6e3e32f20f63b3b38556
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17322.48000000014 / 17160.470000000118 [+0.94%]
Products
Total CPU difference: 11882.560000000085 / 11820.020000000079 [+0.53%]
Windows-64-VC14:
OCCT
Total CPU difference: 18716.078125 / 18725.125 [-0.05%]
Products
Total CPU difference: 13242.09375 / 13316.109375 [-0.56%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-08-22 16:12

administrator   ~0093604

Branch CR31582 has been deleted by inv.

SHA-1: efb5964cd0f51176d28630bfe1258f0efeded565

Related Changesets

occt: master 8e16477b

2020-08-17 09:58:31

kgv


Committer: bugmaster Details Diff
0031582: Configuration, CMake - OCCT fails to build with VTK 9.0

Handle "VTK::" prefix instead of "vtk" used by previous VTK versions for targets.
Corrected unexpected location of endif() and broken indentation.
Obsolete $VTK_USE_FILE is no more included (basing on VTK version check).

Standard_WarningsDisable.hxx/Standard_WarningsRestore.hxx pair is now used to suppress VTK warnings instead of partial disabling.
Affected Issues
0031582
mod - adm/cmake/occt_toolkit.cmake Diff File
mod - adm/cmake/vtk.cmake Diff File
mod - src/IVtkDraw/IVtkDraw.cxx Diff File
mod - src/IVtkDraw/IVtkDraw_HighlightAndSelectionPipeline.cxx Diff File
mod - src/IVtkDraw/IVtkDraw_HighlightAndSelectionPipeline.hxx Diff File
mod - src/IVtkDraw/IVtkDraw_Interactor.cxx Diff File
mod - src/IVtkDraw/IVtkDraw_Interactor.hxx Diff File
mod - src/IVtkTools/IVtkTools_ShapeDataSource.hxx Diff File
mod - src/IVtkTools/IVtkTools_ShapeObject.hxx Diff File
mod - src/IVtkTools/IVtkTools_ShapePicker.hxx Diff File
mod - src/IVtkTools/IVtkTools_SubPolyDataFilter.hxx Diff File
mod - src/IVtkVTK/IVtkVTK_ShapeData.cxx Diff File
mod - src/IVtkVTK/IVtkVTK_ShapeData.hxx Diff File

Issue History

Date Modified Username Field Change
2020-05-27 15:44 hobbes1069 New Issue
2020-05-27 15:44 hobbes1069 Assigned To => bugmaster
2020-06-20 22:39 opoplawski Note Added: 0092626
2020-08-17 12:54 kgv Category OCCT:Release => OCCT:Configuration
2020-08-17 12:54 kgv Target Version => 7.5.0
2020-08-17 12:54 kgv Summary OCCT 7.4.0 fails to build with VTK 9.0 => Configuration, CMake - OCCT fails to build with VTK 9.0
2020-08-17 13:47 git Note Added: 0093522
2020-08-17 15:06 git Note Added: 0093523
2020-08-17 15:33 kgv Note Added: 0093524
2020-08-17 15:33 kgv Status new => resolved
2020-08-21 10:53 bugmaster Note Added: 0093574
2020-08-21 10:53 bugmaster Status resolved => reviewed
2020-08-22 16:01 bugmaster Note Added: 0093593
2020-08-22 16:01 bugmaster Status reviewed => tested
2020-08-22 16:04 bugmaster Test case number => Not required
2020-08-22 16:06 bugmaster Changeset attached => occt master 8e16477b
2020-08-22 16:06 bugmaster Status tested => verified
2020-08-22 16:06 bugmaster Resolution open => fixed
2020-08-22 16:12 git Note Added: 0093604
2020-12-02 16:43 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed
2021-02-24 22:23 kgv Relationship added related to 0032163
2021-03-27 15:52 kgv Relationship added parent of 0032252